| Python Script Engine 8.3 GL Studio Editor Python Script API

Public Member Functions | Static Public Member Functions | List of all members
GlsASEImporter Class Reference

## Public Member Functions
Group * | Import (String filename, Document doc, bool reposition, bool enableLighting, bool splitAnims, bool ignoreFileNormals, float scale, bool executeScript, String scriptFilePath, bool useAdvancedMesh=false, bool useVertexColors=true)
void | Import (String filename, Group *grp, bool reposition, bool enableLighting, bool splitAnims, bool ignoreFileNormals, float scale, bool executeScript, String scriptFilePath, bool useAdvancedMesh=false, bool useVertexColors=true)

## Static Public Member Functions
static GlsASEImporter & | GetInstance ()

## Detailed Description

Plug-in used to import ASE files into GL Studio.

## Member Function Documentation

## ◆ GetInstance()

static GlsASEImporter & GlsASEImporter::GetInstance | ( |  | ) |
| static

## ◆ Import() [1/2]

Group * GlsASEImporter::Import | ( | String | filename,
|  | Document | doc,
|  | bool | reposition,
|  | bool | enableLighting,
|  | bool | splitAnims,
|  | bool | ignoreFileNormals,
|  | float | scale,
|  | bool | executeScript,
|  | String | scriptFilePath,
|  | bool | useAdvancedMesh = `false`,
|  | bool | useVertexColors = `true`
| ) |  |

Imports an ASE file using the ASE importer.

Parameters

  filename | Name of the file to import (supports .ASE and .DSI files)
  doc | Document into which the file should be imported
  reposition | If true, the imported objects' bottom left corner will appear at the origin (0,0) in the canvas. Otherwise, their center will appear at the origin.
  enableLighting | Sets the value of the "Enable lighting" property on all imported objects.
  splitAnims | Separates imported animations into position, rotation, and scaling pieces. An animation becomes a GlsDynamicPath in GL Studio.
  ignoreFileNormals | Ignore the normals coming from the file and recalculate the mesh normals using face smoothing groups.
  scale | Scale to be applied to the newly imported objects. If the value is 1, it comes in at the scale in the file. If greater than 1, it comes in bigger in all dimensions. If between 0 and 1, it comes in smaller. Scaling is done relative to the origin of the canvas (0,0,0).
  executeScript | Flag if a script should be executed upon import (deprecated)
  scriptFilePath | Name of the script file to be executed upon import (deprecated)
  useAdvancedMesh | If true, imported geometry will be in the form of GlsAdvancedMesh, otherwise GlsTrimesh.
  useVertexColors | If checked, per-vertex colors are assigned to the mesh’s vertices. If not, the vertices default to white and rely on the material settings to apply the color.

Returns
  A group containing objects imported from the ASE file

Exceptions

  CEIException |

## ◆ Import() [2/2]

void GlsASEImporter::Import | ( | String | filename,
|  | Group * | grp,
|  | bool | reposition,
|  | bool | enableLighting,
|  | bool | splitAnims,
|  | bool | ignoreFileNormals,
|  | float | scale,
|  | bool | executeScript,
|  | String | scriptFilePath,
|  | bool | useAdvancedMesh = `false`,
|  | bool | useVertexColors = `true`
| ) |  |

Imports an ASE file using the ASE importer.

Note
  new group is not automatically added to the document

Precondition
  Parent document of group is not null

Parameters

  | filename | Name of the file to import (supports .ASE and .DSI files)
  [in,out] | grp | The group to insert the imported geometry into. Must already be in a Document.
  | reposition | If true, the imported objects' bottom left corner will appear at the origin (0,0) in the canvas. Otherwise, their center will appear at the origin.
  | enableLighting | Sets the value of the "Enable lighting" property on all imported objects.
  | splitAnims | Separates imported animations into position, rotation, and scaling pieces. An animation becomes a GlsDynamicPath in GL Studio.
  | ignoreFileNormals | Ignore the normals coming from the file and recalculate the mesh normals using face smoothing groups.
  | scale | Scale to be applied to the newly imported objects. If the value is 1, it comes in at the scale in the file. If greater than 1, it comes in bigger in all dimensions. If between 0 and 1, it comes in smaller. Scaling is done relative to the origin of the canvas (0,0,0).
  | executeScript | Flag if a script should be executed upon import (deprecated)
  | scriptFilePath | Name of the script file to be executed upon import (deprecated)
  | useAdvancedMesh | If true, imported geometry will be in the form of GlsAdvancedMesh, otherwise GlsTrimesh.
  | useVertexColors | If checked, per-vertex colors are assigned to the mesh’s vertices. If not, the vertices default to white and rely on the material settings to apply the color.

Exceptions

  CEIException |

The documentation for this class was generated from the following file:

- GlsASEImporter.i